Subject: Re: Home Web Server

From: David Schwartz via PLUG-discuss <[email-masked]>
Date: Sat, 19 Apr 2025 21:47:27 -0700

I guess this all depends on if this is just a hobby for you or something you want to make money from.

Here’s my opinion; it’s not exactly what you’re wanting to hear, but it’s a legitimate option… I may have mentioned it before.

Take a look at Latenode. It’s an automation service, functionally similar to Zapier, Make, Pabbly, and others, but I think its a lot more affordable.

Most web apps these days require logic to be hidden in a back-end service to keep people from accessing your keys. As a result, the majority of things the back-ends do is forwarding requests on to other services, including DBs, AIs, and other things.

I really do not want to deal with my own server ANYWHERE — at home or anywhere else in the world, especially if I can build little modular services accessible as webhooks on an automation platform. The servers they run on are fast, scalable, and made for heavy-duty use. (Mostly cloud-based, I’m guessing.)

I can’t speak to the security issues, but nothing I’m doing is worse than keeping my backend “secret keys” out of reach from the front-end users. (If you don’t, they end up in your browser in clear-text and they can be scraped without much trouble.)

If you’re really that paranoid and worried about stuff that it makes sense to become an expert on all of those server-side tools on a server you keep hidden in your home or office, then knock yourself out. I don’t care; I don’t want to care, or even keep up with the changes they’re constantly undergoing. I want to be able to quickly set up a proxy to sit between my front-end and some other service that gets me what I want without having to manage anything you mentioned.

If you need some custom programming, then Latenode allows you to use javascript in their nodes. Pickaxe works with Python, and it can even help you write the code. 

(Pickaxe is an interesting 2-faced thing, part of which is an app-builder and part of which is has some basic logic and it can trigger webhooks to other back-end services, including automation services. They only mention Zapier and Make, but their interface is not specific to either one except in name only. It works fine with Latenode, Pabbly, and others. I think something called Lemonade is somewhat competitive with Pickaxe.)

I know, folks on this list are going to complain that these services are not free except for trivial purposes to get familiar with them. But I value my time far more and I don’t mind paying a couple hundred bucks a month to have SEVERAL high-quality services managed for me so I don’t have to deal with anything to keep them running. I did that for a while on a Windows VPS (which I had to use b/c the code I needed only targets Windows) and problems were constantly coming up; unfortunately, the VPS host didn’t provide an support. 

I bought a small Windows box to run at home to replace the VPS, but I decided I can do pretty much anything I need on Latenode. So it’s just sitting there.

I learned how to admin Unix boxes back in the 80’s, and it has always been one of my least favorite things to do. I’m very happy to pay people the cost of one restaurant dinner per month to keep my services working. But my goal is to use these services to make money, at which point the costs are going to be minscule compared to the potential revenues.

If it’s not a hobby, then you need to decide if you want to work ON your business or IN your business. Running your own server means it’s all on you. Outsourcing it lets you work ON your business.

TBH, I’m getting away from programming and all of this admin crap. It’s about frigging time we’re seeing things start to bury this stuff behind walls that are being run by AI services. Dealing with AI prompts and automation tools is the future, IMHO. Working with stuff that’s still clearly recognizable today from what it looked like in the 80’s is hardly “progress”. I’ve had people ask me over time, “Why don’t you get certified to work on Cisco hardware?” I used to write code for devices like that back in the 80’s, and it looks like it HAS NOT CHANGED AT ALL, just like talking to modems and Epson printer escape codes. 

This is 2025; I’ve been there, done that, and AI is the future. Prompts are actually structured a lot like imperative programming code but they use normal language to explain things. Unfortunately, if you don’t know the basics of imperative programming, you’re going to miss a lot of details and mess up the structure. And if you aren’t an SME in the domain you’re trying to get AI to do for you, you’re screwed.

Just my thoughts.

-David Schwartz

> On Apr 19, 2025, at 6:10 PM, Keith Smith via PLUG-discuss <[email-masked]> wrote:
> 
> Hi,
> 
> I did some research and it appears there is a lot of demand for content that covers how to create a web server out of home/home office/home lab.
> 
> I assume this means Linux, Apache, MySQL, PHP + Bind9, Postfix, Dovecot, some form of webmail, Let Encrypt, and possibly other servers/software.
> 
> What does the list think on this subject?
> 
> Keith
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss